Subject: Re: bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: João Távora <[email-masked]>
Date: Tue, 27 Apr 2021 20:31:43 +0100

On Tue, Apr 27, 2021 at 8:21 PM Augusto Stoffel <[email-masked]> wrote:

> Binding `completion-styles' buffer locally can lead to problems on
> alternative completion UIs, say if the minibuffer is involved (this used
> to happen with Consult's compeltion in region until recently).
>
> It seems that a more appropriate way to override the completion style
> would be to include a category in the completion table metadata, and add
> a corresponding entry to `completion-category-defaults', which can be
> done globally.
>

Hi Augusto,

Yes, I think you are right about this.  And then Eglot's completion table
would use
use a category that points to the style? Is that the idea?  The end goal
is not to
lose flex-style completion for LSP-servers.

If so, can you draft a patch and attach it to your reply? By the way,
thanks for
inaugurating the Emacs bug tracker for Eglot bugs.

Also CCint Stefan Monnier since he usually has insight about this.

João